Skip to Content
SeyloDocs
API referenceSign-in and account

Start adding a passkey

POST
/api/v1/auth.passkeyRegisterBegin

Returns WebAuthn creation options for navigator.credentials.create and a ticket for auth.passkeyRegisterFinish. Needs a sign-in or auth.reauth from the last 15 minutes (FORBIDDEN details.reason "reauth" otherwise).

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body

Response Body

Success.

application/json
  1. response
ticket*string
options*

WebAuthn options or response JSON.

Example Request
curl -X POST 'https://example.com/api/v1/auth.passkeyRegisterBegin' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "ticket": "string",  "options": {}}